<!DOCTYPE html>
<html>
<head>

<title>
    Welcome to my personal webpage.
</title>

<style>
    Enter stylesheet rules here.
</style>

<script>
    function showTitleBtnFunc () {
      alert(document.title);
    }

    function changeColorBtnFunc() {
      document.getElementById('paragraph').style.color = 'red';
      document.getElementById('paragraph').style.backgroundColor = 'green';
    }

    function questionBtnFunc() {
      var name = window.prompt("Please enter your name");
      if (name != null) {
        window.alert("Hello " + name + "! Welcome to my webpage");
      }
    }

    function documentHasLoaded () {
    }

    window.onload = documentHasLoaded;
</script>
</head>


<body>
    <h1>Enter your heading title here</h1>
    <p id='paragraph'>Using 3 sentences state your name, grade, and favorite website or app.</p>
    <img/>
    <ul>
        <li>Enter your hobbies here</li>
        <li>One</li>
        <li>per</li>
        <li>line</li>
    </ul>
    <button id='showTitleBtn'>Show Title</button>
    <button id='questionBtn'>Ask a question about me</button>
    <button id='changeColorBtn'>Change color</button>
</body>
</html>
